Subject: Re: bug#17622: 24.4.50; bootstrap failure

From: Ken Brown <[email-masked]>
Date: Thu, 29 May 2014 09:29:10 -0400

On 5/29/2014 8:55 AM, Fabrice Popineau wrote:
> Probably ok because I ran like this for a while,
> but I wonder if it couldn't be handled at the beginning of
> bufffer.c:init_buffer() instead.
> What I suggest is do what mmap_set_vars(0) does
> inside init_buffer() rather than reinstate mmap_set_vars().
> Not a great advantage, except to clarify that these pointers should be
> initialized
> when starting the dumped emacs instead of relying on what is dumped.

I'm not familiar enough with this code to start making changes.  If you 
think you see a way to fix the bug that's better than reinstating 
mmap_set_vars, please just do it.

Thanks.

Ken